TreeServerDataLocator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.tree.client
Class TreeServerDataLocator

    java.lang.Object
      org.openswing.swing.tree.client.TreeDataLocator
          org.openswing.swing.tree.client.TreeServerDataLocator

public class TreeServerDataLocator
extends TreeDataLocator

Title: OpenSwing Framework

Description: Tree Data Source that send a request to the server side to fill in the tree.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`TreeServerDataLocator()`

Method Summary
`java.lang.String` | `getServerMethodName()`
`Response` | `getTreeModel(javax.swing.JTree tree)` Method called by the TreePanel to fill the tree.
`void` | `setServerMethodName(java.lang.String serverMethodName)` Set the method called on server side to retrieve the tree model.

Methods inherited from class org.openswing.swing.tree.client.TreeDataLocator
`getNodeNameAttribute, getTreeNodeParams, loadDataCompleted, setNodeNameAttribute, setTreeNodeParams`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeServerDataLocator

    public TreeServerDataLocator()

Method Detail

### getServerMethodName

    public java.lang.String getServerMethodName()

  Returns:
    method called on server side to retrieve the tree model

### setServerMethodName

    public void setServerMethodName(java.lang.String serverMethodName)

  Set the method called on server side to retrieve the tree model.

  Parameters:
    `serverMethodName` - method called on server side to retrieve the tree model

### getTreeModel

    public Response getTreeModel(javax.swing.JTree tree)

  Method called by the TreePanel to fill the tree.

  Specified by:
    `getTreeModel` in class `TreeDataLocator`
  Returns:
    a VOReponse containing a DefaultTreeModel object

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD